fop 2.3

## org.apache.fop.render.pdf.extensions
Class PDFDictionaryExtension

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFObjectExtension
          org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
              org.apache.fop.render.pdf.extensions.PDFCollectionExtension
                  org.apache.fop.render.pdf.extensions.PDFDictionaryExtension

Direct Known Subclasses:
  PDFActionExtension, PDFCatalogExtension, PDFDocumentInformationExtension, PDFLayerExtension, PDFNavigatorExtension, PDFPageExtension, PDFPagePieceExtension, PDFVTExtension

    public class PDFDictionaryExtension

extends PDFCollectionExtension

Field Summary
`static java.lang.String` `PROPERTY_ID`
`static java.lang.String` `PROPERTY_PAGE_NUMBERS`

Fields inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`PROPERTY_KEY`

Method Summary
`void` `addEntry(PDFCollectionEntryExtension entry)`
`PDFCollectionEntryExtension` `findEntry(java.lang.String key)`
`java.lang.Object` `findEntryValue(java.lang.String key)`
`PDFDictionaryType` `getDictionaryType()`
`java.lang.String` `getElementName()`
`java.util.List<PDFCollectionEntryExtension>` `getEntries()`
`PDFCollectionEntryExtension` `getLastEntry()`
`java.lang.String` `getProperty(java.lang.String name)`
`java.lang.Object` `getValue()`
`void` `setProperty(java.lang.String name, java.lang.String value)`
`void` `setValue(java.lang.Object value)`
`boolean` `usesIDAttribute()`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension
`getKey, setKey`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension
`getType, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_ID

    public static final java.lang.String PROPERTY_ID

See Also:
  Constant Field Values

### PROPERTY_PAGE_NUMBERS

    public static final java.lang.String PROPERTY_PAGE_NUMBERS

See Also:
  Constant Field Values

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Overrides:
    `setValue` in class `PDFObjectExtension`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `PDFObjectExtension`

### getDictionaryType

    public PDFDictionaryType getDictionaryType()

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### addEntry

    public void addEntry(PDFCollectionEntryExtension entry)

  Specified by:
    `addEntry` in class `PDFCollectionExtension`

### getEntries

    public java.util.List<PDFCollectionEntryExtension> getEntries()

### findEntry

    public PDFCollectionEntryExtension findEntry(java.lang.String key)

### findEntryValue

    public java.lang.Object findEntryValue(java.lang.String key)

### getLastEntry

    public PDFCollectionEntryExtension getLastEntry()

  Specified by:
    `getLastEntry` in class `PDFCollectionExtension`

### usesIDAttribute

    public boolean usesIDAttribute()

### getElementName

    public java.lang.String getElementName()

  Overrides:
    `getElementName` in class `PDFObjectExtension`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.